Loading...
Searching...
No Matches
gtsam::SO< N >::ChartAtOrigin Struct Reference

## Static Public Member Functions

static SO | Retract (const TangentVector &xi, ChartJacobian H=boost::none)
| Retract uses Cayley map.
static TangentVector | Local (const SO &R, ChartJacobian H=boost::none)
| Inverse of Retract.

## Member Function Documentation

## Local()

template<int N>

SO< N >::TangentVector gtsam::SO< N >::ChartAtOrigin::Local | ( | const SO & | R,
|  | ChartJacobian | H = boost::none )

static

Inverse of Retract.

See note about xi element order in Hat.

## Retract()

template<int N>

SO< N > gtsam::SO< N >::ChartAtOrigin::Retract | ( | const TangentVector & | xi,
|  | ChartJacobian | H = boost::none )

static

Retract uses Cayley map.

See note about xi element order in Hat. Deafault implementation has no Jacobian implemented

The documentation for this struct was generated from the following files:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/geometry/SOn.h
- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/geometry/SOn-inl.h